%global srcname speedometer
%global sum     Chart network TX/RX and file download rates on the console
%global desc \
Measure and display the rate of data across a network connection\
or data being stored in a file.

# build with python3 is currently b0rken
%bcond_with python3

Name:           %{srcname}
Version:        2.8
Release:        1%{?dist}
Summary:        %{sum}

License:        LGPLv2+
URL:            http://excess.org/%{name}
Source0:        %{url}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
%if %{with python3}
BuildRequires:  python3-devel
Requires:       python3-%{name} = %{version}-%{release}
%else
Requires:       python2-%{name} = %{version}-%{release}
%endif

%description %{desc}

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %{desc}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{desc}


%prep
%autosetup


%build
%py2_build
%if %{with python3}
%py3_build
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif


%files
%doc CHANGELOG
%{_bindir}/%{name}*

%files -n python2-%{srcname}
%doc CHANGELOG
%{python2_sitelib}/*

%if %{with python3}
%files -n python3-%{srcname}
%doc CHANGELOG
%{python3_sitelib}/*
%endif


%changelog
* Sat Jun 17 2017 Raphael Groner <projects.rg@smart.ms> - 2.8-1
- initial
